"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getErrorByRetcode = exports.APIError = void 0;
var APIError;
(function (APIError) {
    APIError["INVALID_COOKIE"] = "The provided cookie is invalid or expired";
    APIError["COOKIE_LIMIT"] = "Cannot get data for more than 30 accounts per cookie per day. Please use a different cookie.";
    APIError["API_BUSY"] = "API system busy. Please try again later.";
    APIError["ACCOUNT_NOT_FOUND"] = "The account is not found";
})(APIError = exports.APIError || (exports.APIError = {}));
const ERROR = [
    { retcode: -100, message: "The provided cookie is invalid or expired" },
    { retcode: 10001, message: "The provided cookie is invalid or expired" },
    {
        retcode: 10101,
        message: "Cannot get data for more than 30 accounts per cookie per day. Please use a different cookie.",
    },
    {
        retcode: -1048,
        message: "API system busy. Please try again later.",
    },
    {
        retcode: 1009,
        message: "The account is not found",
    },
];
function getErrorByRetcode(retcode) {
    return ERROR.find(error => error.retcode === retcode)?.message;
}
exports.getErrorByRetcode = getErrorByRetcode;
