import type { ClaimHistoryData, DailyRewardsData, DayRewardData, ExtraRewardData, ResignData, RewardInfoData } from "../interface";
import { BaseRoute, fetchOptions, Options } from "./base";
export type fetchClaimHistoryOption = fetchOptions & {
    page?: number;
};
export declare class DailyRewards extends BaseRoute {
    private readonly defaultOptions?;
    constructor(options?: Options<fetchOptions>);
    /**
     * @description Get the daily rewards details
     * @param {number} day The day to get
     */
    fetchDayReward(day: number, options?: fetchOptions): Promise<DayRewardData>;
    /**
     * @description CheckIn to claim Daily Rewards
     */
    checkIn(options?: fetchOptions): Promise<DailyRewardsData>;
    /**
     * @description Get the daily rewards info
     */
    fetchRewardInfo(options?: fetchOptions): Promise<RewardInfoData>;
    /**
     * @description Get the extra rewards info
     */
    fetchExtraRewardInfo(options?: fetchOptions): Promise<ExtraRewardData>;
    /**
     * @description get resign info
     */
    fetchResignInfo(options?: fetchOptions): Promise<ResignData>;
    /**
     * @description get check in history
     */
    fetchCheckInHistory(options?: fetchClaimHistoryOption): Promise<ClaimHistoryData>;
}
