import { BaseRoute, fetchOptions, Options } from "./base";
import type { ClientCache } from "../client/clientCache";
import type { CardBackListData, CardListData, TCGData } from "../interface";
export type CardListOptions = fetchOptions & {
    need_avatar: boolean;
    need_action: boolean;
    need_stats: boolean;
    offset: number;
    limit: number;
};
declare class BasicInfo extends BaseRoute {
    cache: ClientCache<TCGData> | null;
    private readonly defaultOptions?;
    constructor(options?: Options<fetchOptions>);
    /**
     * @param {string} uid Genshin Impact UID
     */
    fetch(uid: string, options?: fetchOptions): Promise<TCGData>;
}
declare class CardList extends BaseRoute {
    cache: ClientCache<CardListData> | null;
    private readonly defaultOptions?;
    constructor(options?: Options<fetchOptions>);
    /**
     * @param {string} uid Genshin Impact UID
     */
    fetch(uid: string, options?: CardListOptions): Promise<CardListData>;
}
declare class CardBackList extends BaseRoute {
    cache: ClientCache<CardBackListData> | null;
    private readonly defaultOptions?;
    constructor(options?: Options<fetchOptions>);
    /**
     * @param {string} uid Genshin Impact UID
     */
    fetch(uid: string, options?: fetchOptions): Promise<CardBackListData>;
}
export declare class TCG extends BaseRoute {
    cache: ClientCache<TCGData | CardBackListData | CardListData> | null;
    basicInfo: BasicInfo;
    cardList: CardList;
    cardBackList: CardBackList;
    constructor(options?: Options<fetchOptions>);
}
export {};
