import type { DiaryData } from "../interface";
import { BaseRoute, fetchOptions, Options } from "./base";
import type { ClientCache } from "../client/clientCache";
export type getMonthDiaryOptions = fetchOptions & {
    month: number;
};
export declare class TravelerDiary extends BaseRoute {
    cache: ClientCache<DiaryData> | null;
    private readonly defaultOptions?;
    constructor(options?: Options<fetchOptions>);
    /**
     * @param {string} uid Genshin Impact UID
     */
    fetch(uid: string, options: fetchOptions): Promise<DiaryData>;
    fetchMonth(uid: string, options: getMonthDiaryOptions): Promise<DiaryData>;
}
