"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.removeFromArrayObject = exports.removeFromObject = exports.alias = void 0;
function alias(obj, aliasMap) {
    for (const key in obj) {
        if (Array.isArray(obj[key])) {
            obj[key].forEach((item) => {
                alias(item, aliasMap);
            });
        }
        if (aliasMap[key]) {
            obj[aliasMap[key]] = obj[key];
            delete obj[key];
        }
    }
    return obj;
}
exports.alias = alias;
function removeFromObject(obj, keys) {
    keys.forEach(key => {
        delete obj[key];
    });
    return obj;
}
exports.removeFromObject = removeFromObject;
function removeFromArrayObject(arr, keys) {
    arr.forEach(obj => {
        keys.forEach(key => {
            delete obj[key];
        });
    });
    return arr;
}
exports.removeFromArrayObject = removeFromArrayObject;
