"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
require("../constants/lang");
function getFetchOptions(options, cookieManager, defaultOptions) {
    const cookie = options?.cookie || cookieManager?.get().cookie || defaultOptions?.cookie;
    const language = options?.language || defaultOptions?.language || "en-us" /* Language.EnglishUS */;
    if (options && "previous" in options) {
        return {
            cookie,
            language,
            previous: options.previous,
        };
    }
    if (options && "page" in options) {
        return {
            cookie,
            language,
            page: options.page,
        };
    }
    return {
        cookie,
        language,
    };
}
exports.default = getFetchOptions;
