/// <reference types="node" />
import { Language } from "../constants/lang";
import type { IncomingHttpHeaders } from "http2";
interface option {
    route?: string;
    withUA?: boolean;
    withDS?: boolean;
    withExtraHeaders?: boolean;
    language?: Language;
}
interface Response {
    retcode: number;
    message: string;
    data: any;
}
/**
 * @description Creates a new instance for the request
 */
declare class HTTPRequest {
    private baseURL;
    private language;
    private headers;
    constructor(option?: option);
    _debug(message: string): void;
    get(url: string, headers?: IncomingHttpHeaders, params?: Record<string, string | number | boolean>): Promise<Response>;
    post(url: string, headers?: IncomingHttpHeaders, data?: Record<string, string | number[] | number | boolean>, params?: Record<string, string>): Promise<Response>;
}
export { HTTPRequest as request };
